Conglomerate 451

From Conglomerate 451 Wiki
(Redirected from System requirements)
Jump to: navigation, search

This article is a stub. You can help Conglomerate 451 Wiki by expanding it.

Conglomerate 451 is a roguelike dungeon-crawling RPG. The player is tasked with taking down the corrupt corporations that threaten sector 451 of Conglomerate city. The player establishes and manages a crack team of cloned agents, altering their DNA and outfitting them with the latest in high-end cyberlimbs, implants and weaponry to best carve out an edge in this city-wide struggle.

Each encounter carries additional weight, however. Roguelike elements ensure that not only could each mission be an agent's last, but that even the most inconsequential wound can evolve into a permanent status modifier, changing the way they approach future encounters. This means players will have to leverage hacking, equippable agent skills, and strategic use of their personal R&D department to make it out alive.

It was released on May 23, 2019.

System requirements[edit | edit source]

Minimum Recommended
OS Windows Vista SP1 (64-bit), 7 (64-bit), 8 (64-bit), 10 (64-bit)
Processor 2.5 GHz Intel Core 2 Duo Processor or AMD equivalent 3.5 GHz Intel Core i5 or AMD equivalent
Memory 6 GB RAM 16 GB RAM
Graphics NVIDIA GeForce 400 series 512 MB video card or AMD equivalent NVIDIA GeForce GTX 960 2 GB video card or AMD equivalent
DirectX Version 11
Storage 10 GB available space
Sound Card DirectX compatible sound card

Game support[edit | edit source]

This wiki is not used for game support. Conglomerate 451 does not have an established support service.

External links[edit | edit source]